Bug 168794 - slap daemon exits short after starting
slap daemon exits short after starting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
http://www.openldap.org/its/index.cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 07:49 EDT by Alain RICHARD
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.19-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 10:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain RICHARD 2005-09-20 07:49:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; fr) AppleWebKit/412.7 (KHTML, like Gecko) Safari/412.5

Description of problem:
I am using a master ldap server and a slave ldap server, both running under fedora-4. The slave one is 
replicated using the syncrepl mecanism. On the slave server, most of time the slapd process exits just 
after beeing started (service ldap start show an OK, but no process is running).

In the syslog, you see something like this :

Sep 20 12:10:38 srv-backup slapd[9126]: daemon: select failed (22): Invalid argument
Sep 20 12:10:38 srv-backup slapd[9126]: daemon: abnormal condition, shutdown initiated.

After looking at openldap site, I have discovered that this bug is referenced as its# 3542 :

http://www.openldap.org/its/index.cgi/Software%20Bugs?id=3542;selectid=3542

It was corrected in version 2.2.27 and the current version is 2.2.28.



Version-Release number of selected component (if applicable):
openldap-2.2.23-5

How reproducible:
Always

Steps to Reproduce:
1. service ldap start

starts the slave slapd daemon

2. service ldap status

shows that the slapd daemon has exited


Actual Results:  the slapd daemon is not running anymore although it has succeded to start

Expected Results:  the slapd daemon must stay running, waiting for queries and replicating any changes on the master 
server.

Additional info:

I have fixed the issue by downloading the openldap-2.2.23-5.src.rpm and openldap-2.2.28.tar.gz file, 
and editing the spec file in order to build an openldap-2.2.28-1 package.

Please note that the current development fedora tree includes an openldap-2.2.26-1 package that has the 
same bug (this bug is corrected only starting with openldap-2.2.27).
Comment 1 Christian Iseli 2007-01-19 19:11:16 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jan Safranek 2007-04-23 10:53:45 EDT
FC5 and FC6 have 2.3.x versions, where the bug should be fixed.

Note You need to log in before you can comment on or make changes to this bug.